/***************************************************************************
 *   This file is part of the KuFTP project                                *
 *   Copyright (C) 2008 by Jiang JingJing                                  *
 *   jiangjingjing214@gmail.com                                            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <qcursor.h>

#include "kuftpstatusinfo.h"
#include "kuftp.h"

KuFtpStatusInfo::KuFtpStatusInfo(QWidget *widget,QWidget *parent):QToolTip(widget)
{
	p_widget=static_cast<KuFtp *>(parent);
}
void KuFtpStatusInfo::maybeTip(const QPoint &)
{
	if ((QCursor::pos().x()>parentWidget()->mapToGlobal(parentWidget()->pos()).x())
		&&(QCursor::pos().y()>parentWidget()->mapToGlobal(parentWidget()->pos()).y())
		&&(QCursor::pos().x()<(parentWidget()->mapToGlobal(parentWidget()->pos()).x() + parentWidget()->width()))
		&&(QCursor::pos().y()<(parentWidget()->mapToGlobal(parentWidget()->pos()).y() + parentWidget()->height()))
		)
	{
		tip(parentWidget()->rect(),p_widget->getStatusMsg());
	}
}


