/***************************************************************************
 *   This file is part of the KuFTP project                                *
 *   Copyright (C) 2008 by Jiang JingJing                                  *
 *   jiangjingjing214@gmail.com                                            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "kuftpsiteinfo.h"

KuFtpSiteInfo::KuFtpSiteInfo(QString SiteName,QString Host,unsigned int Port,QString Username, QString Password,QString RemotePath,QString LocalPath,int ProxyIndex,int EncryptMethod,bool Pasv,bool CorrectPasv,QString Encoding,QString Comment)
{
	siteName=SiteName;
	host=Host;
	port=Port;
	username=Username;
	password=Password;
	remotePath=RemotePath;
	localPath=LocalPath;
	proxyIndex=ProxyIndex;
	encryptMethod=EncryptMethod;
	pasv=Pasv;
	correctPasv=CorrectPasv;
	encoding=Encoding;
	comment=Comment;
}
void KuFtpSiteInfo::setSiteInfo(QString SiteName,QString Host,unsigned int Port,QString Username,QString Password,QString RemotePath,QString LocalPath,int ProxyIndex,int EncryptMethod,bool Pasv,bool CorrectPasv,QString Encoding,QString Comment)
{
	siteName=SiteName;
	host=Host;
	port=Port;
	username=Username;
	password=Password;
	remotePath=RemotePath;
	localPath=LocalPath;
	proxyIndex=ProxyIndex;
	encryptMethod=EncryptMethod;
	pasv=Pasv;
	correctPasv=CorrectPasv;
	encoding=Encoding;
	comment=Comment;
}

